summaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-02-08 16:06:53 +0100
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-02-08 16:06:53 +0100
commitaab5f0d8521ce6eded9f201fe8bad82b95b22763 (patch)
tree06404ca34808d2d1d5ca186c66bd52251fb96d91 /unmaintained
parentd44bdc6897a82c5b8b13b7be60c5a61ed4b73856 (diff)
downloadaports-aab5f0d8521ce6eded9f201fe8bad82b95b22763.tar.bz2
aports-aab5f0d8521ce6eded9f201fe8bad82b95b22763.tar.xz
testing/kdelibs: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/kdelibs/APKBUILD52
-rw-r--r--unmaintained/kdelibs/kdelibs-madvise.patch22
-rw-r--r--unmaintained/kdelibs/kdelibs-skipname.patch60
3 files changed, 134 insertions, 0 deletions
diff --git a/unmaintained/kdelibs/APKBUILD b/unmaintained/kdelibs/APKBUILD
new file mode 100644
index 000000000..08dd75481
--- /dev/null
+++ b/unmaintained/kdelibs/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=kdelibs
+pkgver=4.6.3
+pkgrel=3
+pkgdesc="KDE base libraries"
+url="http://www.kde.org/"
+arch="all"
+license="GPL"
+depends="shared-desktop-ontologies"
+depends_dev="qt-dev phonon-dev polkit-qt-dev pcre-dev gamin-dev enchant-dev udev-dev
+ giflib-dev docbook-xml docbook-xsl acl-dev jasper-dev strigi-dev xz-dev
+ avahi-dev attica-dev aspell-dev libdbusmenu-qt-dev soprano-dev jpeg-dev
+ qca-dev"
+makedepends="$depends_dev cmake automoc4"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://kde.mirrors.tds.net/pub/kde/stable/$pkgver/src/kdelibs-$pkgver.tar.bz2
+ kdelibs-madvise.patch
+ kdelibs-skipname.patch"
+
+_builddir="$srcdir"/kdelibs-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir -p "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+dev() {
+ default_dev
+ mv "$subpkgdir"/usr/bin/kde4-config "$pkgdir"/usr/bin/kde4-config
+}
+
+md5sums="923a7e8f89aa504647e14472b24b8c0a kdelibs-4.6.3.tar.bz2
+90c533263848d54312ba37c6ac203818 kdelibs-madvise.patch
+9ff128752c657094dff94bae96d1528f kdelibs-skipname.patch"
diff --git a/unmaintained/kdelibs/kdelibs-madvise.patch b/unmaintained/kdelibs/kdelibs-madvise.patch
new file mode 100644
index 000000000..3f3b42569
--- /dev/null
+++ b/unmaintained/kdelibs/kdelibs-madvise.patch
@@ -0,0 +1,22 @@
+--- kdelibs-4.6.3.orig/kdecore/sycoca/ksycoca.cpp
++++ kdelibs-4.6.3/kdecore/sycoca/ksycoca.cpp
+@@ -139,7 +139,7 @@
+ return false;
+ } else {
+ #ifdef HAVE_MADVISE
+- (void) posix_madvise((void*)sycoca_mmap, sycoca_size, POSIX_MADV_WILLNEED);
++ (void) madvise((void*)sycoca_mmap, sycoca_size, MADV_WILLNEED);
+ #endif // HAVE_MADVISE
+ return true;
+ }
+--- kdelibs-4.6.3.orig/kdeui/util/kpixmapcache.cpp
++++ kdelibs-4.6.3/kdeui/util/kpixmapcache.cpp
+@@ -443,7 +443,7 @@
+ }
+ info->indexHeader = reinterpret_cast<KPixmapCacheIndexHeader *>(indexMem);
+ #ifdef HAVE_MADVISE
+- posix_madvise(indexMem, info->size, POSIX_MADV_WILLNEED);
++ madvise(indexMem, info->size, MADV_WILLNEED);
+ #endif
+
+ info->file->close();
diff --git a/unmaintained/kdelibs/kdelibs-skipname.patch b/unmaintained/kdelibs/kdelibs-skipname.patch
new file mode 100644
index 000000000..7bcb5895e
--- /dev/null
+++ b/unmaintained/kdelibs/kdelibs-skipname.patch
@@ -0,0 +1,60 @@
+--- kdelibs-4.6.3.orig/kio/misc/kpac/discovery.cpp
++++ kdelibs-4.6.3/kio/misc/kpac/discovery.cpp
+@@ -90,6 +90,34 @@
+ return !m_hostname.isEmpty();
+ }
+
++ int
++ Discovery::skipName(const unsigned char *comp_dn, const unsigned char *eom) const
++ {
++ const u_char *cp;
++ int n;
++
++ cp = comp_dn;
++ while (cp < eom && (n = *cp++)) {
++ /*
++ * check for indirection
++ */
++ switch (n & INDIR_MASK) {
++ case 0: /* normal case, n == len */
++ cp += n;
++ continue;
++ case INDIR_MASK: /* indirection */
++ cp++;
++ break;
++ default: /* illegal type */
++ return (-1);
++ }
++ break;
++ }
++ if (cp > eom)
++ return (-1);
++ return (cp - comp_dn);
++ }
++
+ bool Discovery::checkDomain() const
+ {
+ // If a domain has a SOA record, don't traverse any higher.
+@@ -107,10 +135,10 @@
+ unsigned char* pos = response.buf + sizeof( response.header );
+ unsigned char* end = response.buf + len;
+ // skip query section
+- pos += dn_skipname( pos, end ) + QFIXEDSZ;
++ pos += this->skipName( pos, end ) + QFIXEDSZ;
+ if ( pos >= end ) return true;
+ // skip answer domain
+- pos += dn_skipname( pos, end );
++ pos += this->skipName( pos, end );
+ short type;
+ GETSHORT( type, pos );
+ return type != T_SOA;
+--- kdelibs-4.6.3.orig/kio/misc/kpac/discovery.h
++++ kdelibs-4.6.3/kio/misc/kpac/discovery.h
+@@ -43,6 +43,7 @@
+ private:
+ bool initHostName();
+ bool checkDomain() const;
++ int skipName(const unsigned char*, const unsigned char*) const;
+
+ KProcess* m_helper;
+ QString m_hostname;